Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -8925,9 +15910,20 @@
   0x0049   NoiseReduction                       int16u
   0x004d   FlashExposureComp                    int32s
+           FlashExposureComp                    int8s[2]
   0x004f   ImageTone                            int16u
   0x0050   ColorTemperature                     int16u
+  0x0053   ColorTempDaylight                    undef[4]
+  0x0054   ColorTempShade                       undef[4]
+  0x0055   ColorTempCloudy                      undef[4]
+  0x0056   ColorTempTungsten                    undef[4]
+  0x0057   ColorTempFluorescentD                undef[4]
+  0x0058   ColorTempFluorescentN                undef[4]
+  0x0059   ColorTempFluorescentW                undef[4]
+  0x005a   ColorTempFlash                       undef[4]
   0x005c   ShakeReductionInfo                   Pentax SRInfo
+                                                Pentax SRInfo2
   0x005d   ShutterCount                         undef[4]
   0x0060   FaceInfo                             Pentax FaceInfo
+  0x0062   RawDevelopmentProcess                int16u
   0x0067   Hue                                  int16u
   0x0068   AWBInfo                              Pentax AWBInfo
@@ -8945,9 +15941,19 @@
   0x0076   FaceDetect                           int8u[2]
   0x0077   FaceDetectFrameSize                  int16u[2]
-  0x0079   ShadowCompensation                   int8u[n]
+  0x0079   ShadowCorrection                     int8u[n]
   0x007a   ISOAutoParameters                    int8u[2]
   0x007b   CrossProcess                         int8u
   0x007d   LensCorr                             Pentax LensCorr
+  0x007e   WhiteLevel                           int32u
   0x007f   BleachBypassToning                   int16u
+  0x0080   AspectRatio                          yes
+  0x0082   BlurControl                          int8u[4]
+  0x0085   HDR                                  int8u[4]
+  0x0087   ShutterType                          int8u
+  0x0088   NeutralDensityFilter                 int8u[n]
+  0x008b   ISO                                  int32u
+  0x0092   IntervalShooting                     int16u[2]
+  0x0095   SkinToneCorrection                   int8s[2]
+  0x0096   ClarityControl                       int8s[2]
   0x0200   BlackPoint                           int16u[4]
   0x0201   WhitePoint                           int16u[4]
@@ -8955,9 +15961,14 @@
   0x0204   ColorMatrixB                         int16s[9]
   0x0205   CameraSettings                       Pentax CameraSettings
+           CameraSettingsUnknown                Pentax CameraSettingsUnknown
   0x0206   AEInfo                               Pentax AEInfo
+           AEInfo2                              Pentax AEInfo2
+           AEInfo3                              Pentax AEInfo3
+           AEInfoUnknown                        Pentax AEInfoUnknown
   0x0207   LensInfo                             Pentax LensInfo
                                                 Pentax LensInfo2
                                                 Pentax LensInfo3
                                                 Pentax LensInfo4
+                                                Pentax LensInfo5
   0x0208   FlashInfo                            Pentax FlashInfo
            FlashInfoUnknown                     Pentax FlashInfoUnknown
@@ -8975,7 +15986,8 @@
   0x0215   CameraInfo                           Pentax CameraInfo
   0x0216   BatteryInfo                          Pentax BatteryInfo
-  0x021b   SaturationInfo?                      N
+  0x021b   SaturationInfo?                      no
   0x021f   AFInfo                               Pentax AFInfo
-  0x0220   HuffmanTable?                        N
+  0x0220   HuffmanTable?                        no
+  0x0221   KelvinWB                             Pentax KelvinWB
   0x0222   ColorInfo                            Pentax ColorInfo
   0x0224   EVStepInfo                           Pentax EVStepInfo
@@ -8985,5 +15997,7 @@
   0x0229   SerialNumber                         string
   0x022a   FilterInfo                           Pentax FilterInfo
+                                                Pentax FilterInfo
   0x022b   LevelInfo                            Pentax LevelInfo
+  0x022d   WBLevels                             Pentax WBLevels
   0x022e   Artist                               string
   0x022f   Copyright                            string
@@ -8991,17 +16005,32 @@
   0x0231   ContrastDetectAFArea                 int16u[4]
   0x0235   CrossProcessParams                   undef[10]
-  0x03fe   DataDump                             N
-  0x03ff   TempInfoK5                           Pentax TempInfoK5
+  0x0239   LensInfoQ                            Pentax LensInfoQ
+  0x023f   Model                                string
+  0x0243   PixelShiftInfo                       Pentax PixelShiftInfo
+  0x0245   AFPointInfo                          Pentax AFPointInfo
+  0x03fe   DataDump                             no
+  0x03ff   TempInfo                             Pentax TempInfo
            UnknownInfo                          Pentax UnknownInfo
-  0x0402   ToneCurve                            Y~
-  0x0403   ToneCurves                           Y~
+  0x0402   ToneCurve                            yes~
+  0x0403   ToneCurves                           yes~
+  0x0405   UnknownBlock?                        undef
   0x0e00   PrintIM                              PrintIM
 
+=head3 Pentax LensRec Tags
+
+This record stores the LensType, plus one or two unknown bytes for some
+models.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    LensType                             int8u[2]
+      3    ExtenderStatus                       int8u
+
 =head3 Pentax SRInfo Tags
 
 Shake reduction information.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    SRResult                             int8u
       1    ShakeReduction                       int8u
@@ -9009,8 +16038,17 @@
       3    SRFocalLength                        int8u
 
+=head3 Pentax SRInfo2 Tags
+
+Shake reduction information for the K-3.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    SRResult?                            int8u
+      1    ShakeReduction                       int8u
+
 =head3 Pentax FaceInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    FacesDetected                        int8u
       2    FacePosition                         int8u[2]
@@ -9018,6 +16056,6 @@
 =head3 Pentax AWBInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    WhiteBalanceAutoAdjustment           int8u
       1    TungstenAWB                          int8u
@@ -9025,6 +16063,6 @@
 =head3 Pentax TimeInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
     0.1    WorldTimeLocation                    int8u & 0x01
     0.2    HometownDST                          int8u & 0x02
@@ -9035,15 +16073,17 @@
 =head3 Pentax LensCorr Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    DistortionCorrection                 int8u
       1    ChromaticAberrationCorrection        int8u
+      2    PeripheralIlluminationCorr           int8u
+      3    DiffractionCorrection                int8u
 
 =head3 Pentax CameraSettings Tags
 
-Shot information written by Pentax DSLR cameras.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+Camera settings information written by Pentax DSLR cameras.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    PictureMode2                         int8u
     1.1    ProgramLine                          int8u & 0x03
@@ -9078,8 +16118,18 @@
      21    BaseExposureCompensation             int8u
 
+=head3 Pentax CameraSettingsUnknown Tags
+
+This information has not yet been decoded for models such as the K-01.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+  [no tags known]
+
 =head3 Pentax AEInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+Auto-exposure information for most Pentax models.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    AEExposureTime                       int8u
       1    AEAperture                           int8u
@@ -9089,11 +16139,53 @@
       5    AEMinExposureTime                    int8u
       6    AEProgramMode                        int8u
-      7    AEFlags?                             N
-      8    AEUnknown                            N
+      7    AEFlags                              no
+      8    AEApertureSteps                      int8u
       9    AEMaxAperture                        int8u
      10    AEMaxAperture2                       int8u
      11    AEMinAperture                        int8u
      12    AEMeteringMode                       int8u
+     13    AEWhiteBalance                       int8u & 0xf0
+   13.1    AEMeteringMode2                      int8u & 0x0f
      14    FlashExposureCompSet                 int8s
+     21    LevelIndicator                       int8u
+
+=head3 Pentax AEInfo2 Tags
+
+Auto-exposure information for the K-01.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      2    AEExposureTime                       int8u
+      3    AEAperture                           int8u
+      4    AE_ISO                               int8u
+      5    AEXv                                 int8u
+      6    AEBXv                                int8s
+      8    AEError                              int8s
+     11    AEApertureSteps                      int8u
+     15    SceneMode                            int8u
+     16    AEMaxAperture                        int8u
+     17    AEMaxAperture2                       int8u
+     18    AEMinAperture                        int8u
+     19    AEMinExposureTime                    int8u
+
+=head3 Pentax AEInfo3 Tags
+
+Auto-exposure information for the K-3, K-30, K-50 and K-500.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     16    AEExposureTime                       int8u
+     17    AEAperture                           int8u
+     18    AE_ISO                               int8u
+     28    AEMaxAperture                        int8u
+     29    AEMaxAperture2                       int8u
+     30    AEMinAperture                        int8u
+     31    AEMinExposureTime                    int8u
+
+=head3 Pentax AEInfoUnknown Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+  [no tags known]
 
 =head3 Pentax LensInfo Tags
@@ -9101,6 +16193,6 @@
 Pentax lens information structure for models such as the *istD.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    LensType                             int8u[2]
       3    LensData                             Pentax LensData
@@ -9110,7 +16202,7 @@
 Pentax lens information structure for models such as the K10D and K20D.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    LensType                             N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    LensType                             int8u[4]
       4    LensData                             Pentax LensData
 
@@ -9120,6 +16212,6 @@
 gymnastics to decode them into useful values.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
     0.1    AutoAperture                         int8u & 0x01
     0.2    MinAperture                          int8u & 0x06
@@ -9127,5 +16219,6 @@
       1    LensKind?                            int8u
       2    LC1?                                 int8u
-      3    LC2?                                 int8u
+      3    MinFocusDistance                     int8u & 0xf8
+    3.1    FocusRangeIndex                      int8u & 0x07
       4    LC3?                                 int8u
       5    LC4?                                 int8u
@@ -9133,5 +16226,6 @@
       7    LC6?                                 int8u
       8    LC7?                                 int8u
-      9    FocalLength                          int8u
+      9    LensFocalLength                      int8u
+           LC8?                                 int8u
      10    NominalMaxAperture                   int8u & 0xf0
    10.1    NominalMinAperture                   int8u & 0x0f
@@ -9147,7 +16241,7 @@
 Pentax lens information structure for 645D.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      1    LensType                             N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      1    LensType                             int8u[4]
      13    LensData                             Pentax LensData
 
@@ -9156,15 +16250,24 @@
 Pentax lens information structure for models such as the K-5 and K-r.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      1    LensType                             N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      1    LensType                             int8u[4]
      12    LensData                             Pentax LensData
 
+=head3 Pentax LensInfo5 Tags
+
+Pentax lens information structure for the K-01 and newer models.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      1    LensType                             int8u[5]
+     15    LensData                             Pentax LensData
+
 =head3 Pentax FlashInfo Tags
 
 Flash information tags for the K10D, K20D and K200D.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    FlashStatus                          int8u
       1    InternalFlashMode                    int8u
@@ -9181,12 +16284,12 @@
 =head3 Pentax FlashInfoUnknown Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
   [no tags known]
 
 =head3 Pentax CameraInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
       0    PentaxModelID                        int32u
       1    ManufactureDate                      int32u
@@ -9196,6 +16299,6 @@
 =head3 Pentax BatteryInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
     0.1    PowerSource                          int8u & 0x0f
     1.1    BodyBatteryState                     int8u & 0xf0
@@ -9213,6 +16316,6 @@
 =head3 Pentax AFInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    AFPointsUnknown1?                    int16u
       2    AFPointsUnknown2?                    int16u
@@ -9221,16 +16324,41 @@
       7    AFIntegrationTime                    int8u
      11    AFPointsInFocus                      int8u
+    509    AFHold                               int8u
+
+=head3 Pentax KelvinWB Tags
+
+White balance Blue/Red gains as a function of color temperature.
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      1    KelvinWB_Daylight                    int16u[4]
+      5    KelvinWB_01                          int16u[4]
+      9    KelvinWB_02                          int16u[4]
+     13    KelvinWB_03                          int16u[4]
+     17    KelvinWB_04                          int16u[4]
+     21    KelvinWB_05                          int16u[4]
+     25    KelvinWB_06                          int16u[4]
+     29    KelvinWB_07                          int16u[4]
+     33    KelvinWB_08                          int16u[4]
+     37    KelvinWB_09                          int16u[4]
+     41    KelvinWB_10                          int16u[4]
+     45    KelvinWB_11                          int16u[4]
+     49    KelvinWB_12                          int16u[4]
+     53    KelvinWB_13                          int16u[4]
+     57    KelvinWB_14                          int16u[4]
+     61    KelvinWB_15                          int16u[4]
+     65    KelvinWB_16                          int16u[4]
 
 =head3 Pentax ColorInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
      16    WBShiftAB                            int8s
-     17    WBShiftMG                            int8s
+     17    WBShiftGM                            int8s
 
 =head3 Pentax EVStepInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    EVSteps                              int8u
       1    SensitivitySteps                     int8u
@@ -9238,12 +16366,12 @@
 =head3 Pentax ShotInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       1    CameraOrientation                    int8u
 
 =head3 Pentax FacePos Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       0    Face1Position                        int16u[2]
       2    Face2Position                        int16u[2]
@@ -9281,6 +16409,6 @@
 =head3 Pentax FaceSize Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       0    Face1Size                            int16u[2]
       2    Face2Size                            int16u[2]
@@ -9323,6 +16451,6 @@
 used.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    SourceDirectoryIndex                 int16u
       2    SourceFileIndex                      int16u
@@ -9350,8 +16478,9 @@
 =head3 Pentax LevelInfo Tags
 
-Tags decoded from the electronic level information.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+Tags decoded from the electronic level information for the K-5.  May not be
+valid for other models.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    LevelOrientation                     int8s & 0x0f
     0.1    CompositionAdjust                    int8s & 0xf0
@@ -9362,14 +16491,59 @@
       7    CompositionAdjustRotation            int8s
 
-=head3 Pentax TempInfoK5 Tags
+=head3 Pentax WBLevels Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      2    WB_RGGBLevelsDaylight                int16u[4]
+     11    WB_RGGBLevelsShade                   int16u[4]
+     20    WB_RGGBLevelsCloudy                  int16u[4]
+     29    WB_RGGBLevelsTungsten                int16u[4]
+     38    WB_RGGBLevelsFluorescentD            int16u[4]
+     47    WB_RGGBLevelsFluorescentN            int16u[4]
+     56    WB_RGGBLevelsFluorescentW            int16u[4]
+     65    WB_RGGBLevelsFlash                   int16u[4]
+     74    WB_RGGBLevelsFluorescentL            int16u[4]
+     83    WB_RGGBLevelsUnknown?                int16u[4]
+     92    WB_RGGBLevelsUserSelected            int16u[4]
+
+=head3 Pentax LensInfoQ Tags
+
+More lens information stored by the Pentax Q.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     12    LensModel                            string[30]
+     42    LensInfo                             string[20]
+
+=head3 Pentax PixelShiftInfo Tags
+
+Pixel shift information stored by the K-3 II.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    PixelShiftResolution                 int8u
+
+=head3 Pentax AFPointInfo Tags
+
+AF point information written by the K-1.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      2    NumAFPoints                          int16u
+      4    AFPointsInFocus                      int8u[9]~
+    4.1    AFPointsSelected                     int8u[9]~
+    4.2    AFPointsSpecial                      int8u[9]~
+
+=head3 Pentax TempInfo Tags
 
 A number of additional temperature readings are extracted from this 256-byte
-binary-data block in images from the K-5.  It is not currently known where
-the corresponding temperature sensors are located in the camera.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-     12    CameraTemperature2                   int16s
-     14    CameraTemperature3                   int16s
+binary-data block in images from models such as the K-01, K-3, K-5, K-50 and
+K-500.  It is currently not known where the corresponding temperature
+sensors are located in the camera.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     12    SensorTemperature                    int16s
+     14    SensorTemperature2                   int16s
      20    CameraTemperature4                   int16s
      22    CameraTemperature5                   int16s
@@ -9377,6 +16551,6 @@
 =head3 Pentax UnknownInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
   [no tags known]
 
@@ -9411,19 +16585,67 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'F/W Version'        FirmwareVersion          N
+  'F/W Version'        FirmwareVersion          no
+
+=head3 Pentax S1 Tags
+
+Tags extracted from the maker notes of AVI videos from the Optio S1.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0000   MakerNoteVersion                     no
+
+=head3 Pentax PENT Tags
+
+Tags found in the PENT atom of MOV videos from the Optio WG-2 GPS.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    Make                                 no
+     26    Model                                no
+     56    ExposureTime                         no
+     60    FNumber                              no
+     68    ExposureCompensation                 no
+     84    FocalLength                          no
+    113    DateTime1                            no
+    139    DateTime2                            no
+    167    ISO                                  no
+    199    GPSVersionID                         no
+    207    GPSLatitudeRef                       no
+    209    GPSLatitude                          no
+    233    GPSLongitudeRef                      no
+    235    GPSLongitude                         no
+    259    GPSAltitudeRef                       no
+    260    GPSAltitude                          no
+    284    GPSTimeStamp                         no
+    308    GPSSatellites                        no
+    311    GPSStatus                            no
+    313    GPSMeasureMode                       no
+    315    GPSMapDatum                          no
+    322    GPSDateStamp                         no
+    371    AudioCodecID                         no
+   2003    PreviewImage                         no
+
+=head3 Pentax PXTH Tags
+
+Tags found in the PXTH atom of MOV videos from the K-01.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    PreviewImageLength                   no
+      4    PreviewImage                         no
 
 =head3 Pentax MOV Tags
 
-This information is found in Pentax MOV videos.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    Make                                 N
-     38    ExposureTime                         N
-     42    FNumber                              N
-     50    ExposureCompensation                 N
-     68    WhiteBalance                         N
-     72    FocalLength                          N
-    175    ISO                                  N
+This information is found in MOV videos from cameras such as the Optio WP.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    Make                                 no
+     38    ExposureTime                         no
+     42    FNumber                              no
+     50    ExposureCompensation                 no
+     68    WhiteBalance                         no
+     72    FocalLength                          no
+    175    ISO                                  no
 
 =head3 Pentax Junk Tags
@@ -9431,7 +16653,23 @@
 Tags found in the JUNK chunk of AVI videos from the RS1000.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-     12    Model                                N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     12    Model                                no
+
+=head3 Pentax Junk2 Tags
+
+This information is found in AVI videos from the Optio RZ18.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     18    Make                                 no
+     44    Model                                no
+     94    FNumber                              no
+    131    DateTime1                            no
+    157    DateTime2                            no
+    299    ThumbnailWidth                       no
+    301    ThumbnailHeight                      no
+    303    ThumbnailLength                      no
+    307    ThumbnailImage                       no
 
 =head3 Pentax AVI Tags
